Create account / Log in

Vassal crashes on launch (Ubuntu 18.04)

Issues with the Vassal engine.

Moderators: Tim M, uckelman

Vassal crashes on launch (Ubuntu 18.04)

Postby psotos » August 21st, 2019, 8:06 am

Hi all,

I am getting an error when i try to launch Vassal on Ubuntu 18.04 running Java version:
openjdk version "1.8.0_222"
OpenJDK Runtime Environment (build 1.8.0_222-8u222-b10-1ubuntu1~18.04.1-b10)
OpenJDK 64-Bit Server VM (build 25.222-b10, mixed mode)

Error:
2019-08-21 04:01:52,841 [0-main] INFO VASSAL.launch.StartUp - Starting
2019-08-21 04:01:52,843 [0-main] INFO VASSAL.launch.StartUp - OS Linux 5.0.0-23-generic
2019-08-21 04:01:52,843 [0-main] INFO VASSAL.launch.StartUp - Java version 1.8.0_222
2019-08-21 04:01:52,843 [0-main] INFO VASSAL.launch.StartUp - VASSAL version 3.2.17
2019-08-21 04:01:52,924 [0-main] ERROR VASSAL.tools.ErrorDialog -
java.awt.AWTError: Assistive Technology not found: org.GNOME.Accessibility.AtkWrapper
at java.awt.Toolkit.loadAssistiveTechnologies(Toolkit.java:807) ~[na:1.8.0_222]
at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:886) ~[na:1.8.0_222]
at java.awt.EventQueue.invokeAndWait(EventQueue.java:1324) ~[na:1.8.0_222]
at javax.swing.SwingUtilities.invokeAndWait(SwingUtilities.java:1353) ~[na:1.8.0_222]
at VASSAL.launch.StartUp.initUIProperties(StartUp.java:72) ~[Vengine.jar:na]
at VASSAL.launch.StartUp.initSystemProperties(StartUp.java:45) ~[Vengine.jar:na]
at VASSAL.launch.ModuleManager.<init>(ModuleManager.java:280) ~[Vengine.jar:na]
at VASSAL.launch.ModuleManager.main(ModuleManager.java:183) ~[Vengine.jar:na]

Help help to resolve is appreciated.

thanks,

Peter
User avatar
psotos
 
Posts: 1
Joined: August 21st, 2019, 8:04 am
Location: Chattanooga, TN

Re: Vassal crashes on launch (Ubuntu 18.04)

Postby rdmorss » August 22nd, 2019, 3:23 pm

I'm running Xubuntu 18.04 and get the exact same output as you have on a command line input of
Code: Select all
java -version

I'm not sure what is meant by openjdk version "1.8.0_222" as I have installed openjdk-8-jre in Synaptic Package Manager.

When I enter this in the command line:
Code: Select all
readlink -f "$(which java)"

I get:
Code: Select all
/usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java

VASSAL works fine with openjdk-8-jre and seems to have problems if you are running something later, such as openjdk-11-jre
rdmorss
 
Posts: 26
Joined: October 4th, 2010, 1:40 am
Location: Sanford Maine

Re: Vassal crashes on launch (Ubuntu 18.04)

Postby uckelman » September 25th, 2019, 11:15 pm

There's a test build updated for Java 9 and later in one of the other threads.
User avatar
uckelman
Site Admin
 
Posts: 8109
Joined: December 10th, 2007, 9:48 am
Location: Durham, England


Return to Technical Support & Bugs

Who is online

Users browsing this forum: No registered users and 1 guest